Bug 48449 - make distclean removes core.c and core_filters.c
Summary: make distclean removes core.c and core_filters.c
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Build (show other bugs)
Version: 2.2.14
Hardware: PC BSD/OS
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-12-28 03:28 UTC by ab2438087232
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments
make distclean (14.13 KB, text/plain)
2009-12-29 05:48 UTC, ab2438087232
Details
config.log (67.10 KB, text/plain)
2009-12-29 05:49 UTC, ab2438087232
Details
config.status (41.19 KB, text/plain)
2009-12-29 05:49 UTC, ab2438087232
Details
config.nice (605 bytes, text/plain)
2009-12-29 05:50 UTC, ab2438087232
Details
local-distclean.out (270 bytes, text/plain)
2009-12-29 18:02 UTC, ab2438087232
Details
Makefile_srclib_apr-util (4.04 KB, text/plain)
2009-12-30 02:04 UTC, ab2438087232
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ab2438087232 2009-12-28 03:28:54 UTC
make distclean removes

httpd-2.2.14/server/core.c

httpd-2.2.14/server/core_filters.c


from the source tree

Obvious workaround is to restore the files from tarball after a make distclean
Comment 1 Dan Poirier 2009-12-29 05:27:20 UTC
I can't reproduce this on Linux or Mac OS X by

./configure
make distclean

so this might be specific to your platform, your configuration, or both.  Can you provide the exact OS version you're using, and attach config.nice, config.log, config.status, and the output from "make distclean"?
Comment 2 ab2438087232 2009-12-29 05:48:33 UTC
Created attachment 24765 [details]
make distclean
Comment 3 ab2438087232 2009-12-29 05:49:06 UTC
Created attachment 24766 [details]
config.log
Comment 4 ab2438087232 2009-12-29 05:49:42 UTC
Created attachment 24767 [details]
config.status
Comment 5 ab2438087232 2009-12-29 05:50:08 UTC
Created attachment 24768 [details]
config.nice
Comment 6 ab2438087232 2009-12-29 05:50:47 UTC
BSD/OS gbrmail.com 4.3 BSDI BSD/OS 4.3.1
Comment 7 Dan Poirier 2009-12-29 06:44:00 UTC
Looking at make.out, I don't see those files being deleted.  Are you sure it's "make distclean" deleting them, and not something else, maybe an over-enthusiastic overnight cron job trying to clean up core files?
Comment 8 ab2438087232 2009-12-29 06:50:05 UTC
I am positive it is not a cron job deleting core.

I did run into this type of problem in 1978 on TOPS-20 when I was in R&D at Digital, and have made sure to not be bitten by it again.

I am able to reproduce the bug at any time

There is likely an errand regex somewhere trying to delete core files in the distclean doing this.   The problem does not occur when make clean is run
Comment 9 Takashi Sato 2009-12-29 17:43:10 UTC
Can you try local-distclean on server/ and tell us result?

./configure
cd server/
make local-distclean
Comment 10 ab2438087232 2009-12-29 18:02:49 UTC
Created attachment 24771 [details]
local-distclean.out
Comment 11 Takashi Sato 2009-12-30 00:32:36 UTC
It seems there's nothing about core.c and core_filters.c in local-distclean.out...
Does "make local-distclean" remove core.c and core_filters.c ?
Comment 12 ab2438087232 2009-12-30 02:04:08 UTC
On a related note, the Makefile in httpd-2.2.14 contains the line

.include "$(top_srcdir)/os/os2/core.mk"

but that file does not exist, nor is this an OS/2 system


As well, there is an error in the httpd-2.2.14/srclib/apr-util
at lines 48 and 49

include /Src/httpd-2.2.14/srclib/apr-util/build/rules.mk
include /Src/httpd-2.2.14/srclib/apr-util/build-outputs.mk


Someone is not checking BSD_MAKEFILE and produced the lines above
Of course, fixing them by hand is a workaround

Makefile attached
Comment 13 ab2438087232 2009-12-30 02:04:53 UTC
Created attachment 24772 [details]
Makefile_srclib_apr-util
Comment 14 ab2438087232 2009-12-30 02:06:20 UTC
(In reply to comment #11)
> It seems there's nothing about core.c and core_filters.c in
> local-distclean.out...
> Does "make local-distclean" remove core.c and core_filters.c ?

Yes, those files were removed by make local-distclean
Comment 15 Dan Poirier 2010-01-02 10:06:05 UTC
I wonder if this is something that BSD Make is causing?  Would it be possible to install GNU Make and try a configure and make distclean, making sure it's using GNU Make instead of the system make?
Comment 16 William A. Rowe Jr. 2018-11-07 21:08:25 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.